//
//  FilledRectTool.java
//  Treehousestudio
//
//  Created by Maxwell Planck on Sat Feb 01 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

import java.awt.*;

public class FilledRectTool extends THSGeneralTool {

    protected int startmx;
    protected int startmy;
    protected paintbrush curbsh;

    public FilledRectTool() {
        super();
        curbsh = new squarebrush(2);
    }

    /**
        * What happens when one of the following mouse interactions occur.
     *
     * Note that the (mx, my) coordinate should be referring to the model in which the top left corner of the
     * canvas is (0,0) and the limits of the region are the width and height of the canvas.
     */
    public void mouseDown(int mx, int my, THSCanvas c) {
        startmx = mx;
        startmy = my;
        ((PaintCanvas) c).push();
        Shapes.rectfilladjusted((PaintCanvas) c, curbsh, startmx, startmy, mx, my);
    }

    public void mouseDrag(int mx, int my, THSCanvas c) {
        ((PaintCanvas) c).recover();
        Shapes.rectfilladjusted((PaintCanvas) c, curbsh, startmx, startmy, mx, my);
    }

    public void mouseMove(int mx, int my, THSCanvas c) {}
    public void mouseUp(int mx, int my, THSCanvas c) {
        ((PaintCanvas) c).recover();
        Shapes.rectfilladjusted((PaintCanvas) c, curbsh, startmx, startmy, mx, my);
        ((PaintCanvas) c).pop();
    }

    /**
        * What happens when one of the following key interactions occur
     */
    public boolean keyPressed(Event ke, int k, THSCanvas c) { return false; }
    public boolean keyUp(Event ke, int k, THSCanvas c) { return false; }
    public boolean keyDown(Event ke, int k, THSCanvas c) { return false; }

    public String getIconImage() {
        return "painticon-1_frect.gif";
    }

    public String getCursorImage() {
        return "";
    }

    public String getString() {
        return "Fill Rectangle";
    }

}
